::-webkit-scrollbar-thumb, i.fa-volume-up, .form-search button,
.form-search input, nav .dropdown-menu, nav .dropdown-menu li a, ._result .result-testing-table, .phrase-box .phrase-footer, .phrase-box .phrase-footer a {
  transition: all 0.3s ease-in-out; }

::-webkit-scrollbar-thumb {
  background: #1f1e1e;
  border: 2px solid #050505;
  border-radius: 20px; }
  ::-webkit-scrollbar-thumb:hover {
    background: #1f1e1e;
    border: 2px solid #050505; }

::-webkit-scrollbar {
  width: 10px;
  height: 10px;
  scroll-behavior: smooth; }

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box; }

body {
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
  background: #0c0c0c;
  color: #777;
  padding-bottom: 130px;
  padding-top: 60px; }
  @media (max-width: 991px) {
    body {
      padding-top: 110px; } }

a {
  text-decoration: none;
  color: inherit; }

main {
  margin: 20px 0;
  padding-bottom: 20px;
  border-bottom: 1px solid #000000;
  display: flex;
  align-items: center;
  justify-content: space-between; }
  main h1 {
    text-transform: capitalize;
    color: #afaeaecf; }

hr {
  margin: 20px 0;
  border: none;
  border-top: 1px solid #000000; }

input:focus,
button:focus,
textarea:focus,
select:focus {
  outline: 0; }

input:focus {
  border: 1px solid #2196f3 !important; }

input.err {
  border: 1px solid #f44336 !important;
  color: #f44336 !important; }

input.success {
  border: 1px solid #4caf50 !important;
  color: #4caf50 !important; }

button:disabled {
  opacity: 0.5;
  cursor: no-drop; }

i.fa-volume-up {
  cursor: pointer;
  background: #292828;
  color: #777474; }
  i.fa-volume-up.active {
    background: #2196f3;
    color: #f3f3f3; }

.status-msg-success {
  color: #27792b;
  font-size: 14px;
  margin-top: 20px;
  display: none; }

.container {
  width: 100%;
  max-width: 1170px;
  padding: 0 15px;
  margin: 0 auto; }

.empty {
  padding: 8px;
  border-radius: 5px;
  color: #fb2d2d;
  background: #500501ad;
  width: 100%;
  margin: 0 10px;
  max-width: 100% !important; }

.del, .word-box .word-footer span:last-child {
  color: #fb2d2d;
  border-radius: 50%;
  background: #500501ad;
  transition: all 0.2s ease-in-out;
  padding: 3px 5px;
  font-size: 13px;
  cursor: pointer; }

.btn {
  border: none;
  border-radius: 20px;
  font-size: 15px;
  font-weight: 500;
  cursor: pointer; }
  .btn.primary {
    padding: 8px 10px;
    color: #fff;
    box-shadow: 4px 4px 10px 1px #6077f7 inset, -4px -4px 13px 1px #07416d inset;
    background: #5dacea; }
    .btn.primary:not(:disabled):hover {
      box-shadow: 4px 4px 10px 1px #0f27a9a3 inset, -4px -4px 13px 1px #53abef inset;
      color: #063e6b; }
  .btn.p-2 {
    padding: 10px; }
  .btn.danger {
    background: #ea4949;
    box-shadow: 4px 4px 10px 1px #f76060 inset, -4px -4px 13px 1px #770101 inset;
    color: #3e0101; }
    .btn.danger:hover {
      box-shadow: 4px 4px 10px 1px #ab0a0a inset, -4px -4px 13px 1px #fb3535 inset;
      color: #480202; }

.form-search {
  background: #050505;
  padding: 5px;
  border-radius: 5px;
  color: #fff; }
  .form-search button,
  .form-search input {
    padding: 5px;
    background: none;
    border: none;
    color: inherit; }
  .form-search input {
    border-bottom: 1px solid transparent; }
    .form-search input:focus {
      border: none !important;
      border-bottom: 1px solid #2196f3 !important; }
  .form-search button {
    cursor: pointer;
    padding: 5px;
    border-radius: 15px; }
    .form-search button:hover {
      color: #2196f3;
      background: #59b5ff47; }

.bottom-style,
.top-style,
.word-box .word-lang,
.alphabet .char-box .char-lang {
  position: absolute;
  top: 0;
  left: 0;
  margin-left: 20px;
  color: #fff;
  padding: 4px;
  font-size: 13px;
  text-transform: capitalize;
  border-radius: 0 0 4px 4px; }

.bottom-style {
  top: unset;
  bottom: 0;
  border-radius: 4px 4px 0 0; }

.form-insert {
  margin: 0 auto;
  margin-bottom: 20px; }
  .form-insert h3,
  .form-insert h2 {
    margin-bottom: 20px;
    text-align: center;
    color: #fff;
    font-size: 1.5rem; }
  .form-insert .field {
    position: relative;
    overflow: hidden;
    margin-bottom: 20px; }
    .form-insert .field label {
      display: block;
      font-size: 16px; }
  .form-insert select,
  .form-insert input {
    border: none;
    border-radius: 5px;
    box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
    background: none;
    color: #999; }
  .form-insert button {
    border-radius: 3px;
    cursor: pointer;
    font-size: 16px; }
  .form-insert .btn-outline-hover {
    padding: 5px;
    border: 1px solid #2196f3;
    color: #2196f3; }
    .form-insert .btn-outline-hover:hover {
      border-color: transparent;
      background: #82aefb70; }
  .form-insert .btn-border-hover {
    width: 150px;
    display: block;
    margin-top: 30px;
    margin-left: 6px;
    cursor: pointer;
    padding: 8px 8px;
    min-width: 140px;
    max-width: 150px;
    border-radius: 8px;
    border: none;
    position: relative;
    color: #e8e7e7;
    background: #2196f3;
    box-shadow: 4px 4px 10px 1px #6fd1fd inset, -4px -4px 13px 1px #0968b3 inset; }
    .form-insert .btn-border-hover:before {
      content: "";
      position: absolute;
      top: -6px;
      bottom: -6px;
      left: -6px;
      right: -6px;
      border-radius: inherit;
      border: 2px solid #3094d7;
      -webkit-transition: all 0.2s ease-in-out;
      transition: all 0.2s ease-in-out; }
    .form-insert .btn-border-hover:hover:before {
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      border: 2px solid transparent; }

nav {
  box-shadow: 1px 1px 10px 1px #000000 inset, -1px -1px 13px 1px #060606 inset;
  padding: 10px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #080808;
  z-index: 9; }
  nav .nav-right {
    align-items: center;
    display: flex;
    margin-left: auto; }
  nav .container {
    display: flex;
    justify-content: space-between;
    align-items: center; }
  nav .brand {
    width: fit-content;
    text-transform: capitalize;
    color: #eee;
    font-size: 1.3rem; }
  nav .menu {
    display: flex;
    align-items: center;
    list-style-type: none;
    position: relative;
    margin-left: 10px; }
    nav .menu li {
      transition: all 0.2s ease-in-out;
      margin-right: 5px; }
      nav .menu li a {
        display: block;
        padding: 10px;
        color: inherit;
        text-decoration: none; }
      nav .menu li.active, nav .menu li:hover {
        background: #332f2f1f;
        color: #fff;
        border-radius: 5px;
        box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset; }
    @media (max-width: 991px) {
      nav .menu {
        margin-left: 0;
        position: fixed;
        left: 0;
        top: 55px;
        width: 100%;
        justify-content: space-around;
        z-index: 3;
        padding: 0;
        border-bottom: 2px solid #000000;
        background: #080808; }
        nav .menu li a {
          padding: 15px 5px; } }
  nav span {
    padding: 9px 11px;
    background: #332f2f1f;
    text-decoration: none;
    border-radius: 50%;
    font-size: 14px;
    cursor: pointer;
    transition: all 0.2s ease-in;
    box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
    display: none; }
    nav span:hover {
      color: #fff;
      background: none; }
    @media (max-width: 767px) {
      nav span {
        display: block; } }
  nav .dropdown-menu {
    position: absolute;
    right: 0;
    top: 55px;
    background: #000;
    z-index: 99;
    list-style: none;
    border-radius: 10px;
    min-width: 150px;
    text-align: center;
    max-height: 0;
    overflow: hidden; }
    nav .dropdown-menu:hover {
      max-height: 200px; }
    nav .dropdown-menu li {
      cursor: pointer; }
      nav .dropdown-menu li a:hover {
        letter-spacing: 1px;
        font-weight: bold; }
  nav span:hover ~ .dropdown-menu {
    max-height: 200px; }

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  display: flex;
  background: #020202ed;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out;
  z-index: 999; }
  .modal.open {
    pointer-events: unset;
    opacity: 1; }
  .modal .modal-content {
    background: #2726266e;
    padding: 30px 20px;
    border-radius: 10px;
    border-top: 2px solid #0002;
    border-bottom: 2px solid #0002;
    box-shadow: 0px 0px 3px 9px #0002;
    max-height: 90vh;
    overflow: auto; }
    .modal .modal-content > div {
      display: none; }
      @media (min-width: 767px) {
        .modal .modal-content > div {
          min-width: 500px;
          margin: 0 auto; } }
    .modal .modal-content h3 {
      margin-bottom: 20px;
      color: #b1afaf;
      font-size: 1.5rem;
      text-align: center; }
    .modal .modal-content p {
      margin-bottom: 5px; }
    .modal .modal-content hr {
      border-top-color: #ffffff29; }

.form-add-lang select {
  flex: 1;
  padding-left: 10px; }

.form-add-list .form-row,
.form-add-lang .form-row {
  display: flex; }
  .form-add-list .form-row select,
  .form-add-lang .form-row select {
    margin-right: 5px;
    box-shadow: none;
    border: 1px solid #000000;
    color: #a7a7a7;
    background: #050505; }
  .form-add-list .form-row input,
  .form-add-lang .form-row input {
    background: none;
    padding: 10px;
    flex: 1;
    margin-right: 5px; }
  .form-add-list .form-row button,
  .form-add-lang .form-row button {
    border-radius: 5px; }

.form-add-list input[type="color"],
.form-add-lang input[type="color"] {
  max-width: 50px;
  height: 50px;
  border: none; }

.form-add-list .choose-color,
.form-add-lang .choose-color {
  position: relative; }
  .form-add-list .choose-color i,
  .form-add-lang .choose-color i {
    font-size: 20px;
    margin: 0 10px;
    cursor: pointer;
    padding: 7px;
    border-radius: 7px;
    color: #fff;
    background: #050505; }
  .form-add-list .choose-color #langColor,
  .form-add-lang .choose-color #langColor {
    position: absolute;
    top: -8px;
    right: 7px;
    display: flex;
    flex-wrap: wrap;
    width: 100px;
    z-index: 1000;
    background: #000;
    list-style: none;
    overflow: hidden;
    padding: 3px 2px;
    justify-content: center;
    opacity: 0;
    pointer-events: none; }
    .form-add-list .choose-color #langColor.show-color,
    .form-add-lang .choose-color #langColor.show-color {
      opacity: 1;
      pointer-events: unset; }
    .form-add-list .choose-color #langColor li,
    .form-add-lang .choose-color #langColor li {
      width: 18px;
      background: #444;
      margin: 2px;
      height: 18px;
      cursor: pointer; }

.form-add-phrase,
.form-add-word {
  max-width: 700px;
  position: relative; }
  .form-add-phrase .field,
  .form-add-word .field {
    width: 100%; }
    .form-add-phrase .field label,
    .form-add-word .field label {
      margin-bottom: 10px; }
    .form-add-phrase .field input,
    .form-add-phrase .field select,
    .form-add-word .field input,
    .form-add-word .field select {
      width: 100%;
      height: 40px;
      padding: 5px 10px; }
    .form-add-phrase .field select,
    .form-add-word .field select {
      background-color: #050505; }
  .form-add-phrase button.btn,
  .form-add-word button.btn {
    width: 100px;
    padding: 10px; }

.filters {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between; }

.filter-lang {
  margin-bottom: 20px; }

.filter-list:empty,
.filters:empty {
  margin: 0;
  display: none; }

.filter-list button,
.filters button {
  padding: 5px;
  border: none;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
  background: none;
  color: inherit; }
  .filter-list button span,
  .filters button span {
    padding: 2px 5px;
    border: 1px solid;
    border-radius: 8px;
    font-size: 11px;
    background: #333232de; }
  .filter-list button.active,
  .filters button.active {
    pointer-events: none;
    background: none;
    border: none;
    opacity: 0.7;
    font-weight: bold;
    color: #fff; }

.filter-list:not(:empty) {
  margin-bottom: 20px; }
  .filter-list:not(:empty) button {
    padding: 5px;
    margin: 5px;
    border-radius: 4px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
    border: 1px solid #000000; }
    .filter-list:not(:empty) button.active {
      color: #fff;
      cursor: no-drop;
      background: none;
      pointer-events: none;
      opacity: 0.7; }

.words-page {
  margin-top: 20px; }
  .words-page h1 span {
    padding: 2px 5px;
    border: 1px solid;
    border-radius: 8px;
    background: #333232de; }
  .words-page .words {
    display: flex;
    flex-wrap: wrap; }

.word-box {
  position: relative;
  overflow: hidden;
  min-width: 130px;
  max-width: fit-content;
  min-height: 130px;
  box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
  border: 1px solid #000000;
  padding-top: 40px;
  border-top: 2px solid #ff602f;
  border-radius: 5px;
  margin: 5px; }
  .word-box i.fa-bookmark {
    position: absolute;
    right: -50px;
    top: 10px;
    font-size: 14px;
    background: #050505;
    color: #777;
    padding: 4px;
    border-radius: 3px;
    cursor: pointer;
    transition: right 0.2s ease-in-out; }
    .word-box i.fa-bookmark.active, .word-box i.fa-bookmark:hover {
      background: #065d0052;
      color: #0a840f; }
  .word-box:hover i.fa-bookmark {
    right: 10px; }
  .word-box .word-lang {
    background: #ff602f; }
  .word-box h3 {
    white-space: pre;
    text-transform: capitalize;
    text-align: center;
    color: #ff602f;
    text-shadow: 0.1px 0.1px black;
    padding: 0 10px; }
  .word-box small {
    text-align: center;
    display: block; }
  .word-box i.fa-volume-up {
    text-align: center;
    display: block;
    max-width: fit-content;
    margin: 0 auto;
    margin-top: 10px;
    border-radius: 50%;
    padding: 8px 7px;
    font-size: 12px; }
  .word-box .word-footer {
    padding: 7px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 13px; }
    .word-box .word-footer a {
      transition: color 0.2s ease-in-out;
      color: #2196f3; }
      .word-box .word-footer a:hover {
        text-decoration: underline;
        color: #1a8ae4; }
      .word-box .word-footer a i {
        font-size: 80%; }
    .word-box .word-footer span:last-child {
      transform: translateX(30px); }
  .word-box:hover .word-footer span:last-child {
    transform: translateX(0px); }

.result {
  border: 2px solid #000000;
  padding-top: 15px;
  border-radius: 10px;
  min-width: 300px;
  position: relative;
  overflow: hidden;
  margin: 10px 0 20px;
  flex: 1;
  background-color: #050505;
  min-height: 70px; }
  .result .result-tag {
    box-shadow: inherit;
    padding: 5px;
    border-radius: 5px;
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 1.5rem; }
  .result .result-title {
    font-size: 2.1rem;
    padding-left: 15px; }
    .result .result-title a:hover {
      color: #fff; }
  .result .result-details {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    border-radius: 0 0 10px 10px;
    margin-top: 30px;
    overflow: auto;
    box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
    border-top: 1px solid #000000; }
    .result .result-details:empty {
      display: none; }
    .result .result-details > span {
      background: #111 !important;
      width: fit-content;
      margin-bottom: 4px;
      white-space: pre;
      text-transform: capitalize;
      padding: 10px;
      color: #fff;
      font-size: 14px;
      margin: 5px; }
      .result .result-details > span:last-of-type {
        border-right: none;
        margin-right: 0; }
    .result .result-details span.count {
      background: #0000003b;
      border-radius: 2px;
      padding: 1px 3px;
      float: right; }

.form-add-alphabet {
  overflow: hidden;
  position: relative;
  padding: 10px 15px;
  max-width: 500px;
  margin: 0 auto; }
  .form-add-alphabet input,
  .form-add-alphabet select {
    padding: 10px;
    width: 100%; }
  .form-add-alphabet button {
    width: 120px; }

.testing-lang,
.alphabet-lang {
  margin-bottom: 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid #000000;
  display: flex;
  overflow: auto; }
  .testing-lang:empty,
  .alphabet-lang:empty {
    display: none; }
  .testing-lang .alphabet-lang-box,
  .alphabet-lang .alphabet-lang-box {
    display: flex;
    flex-shrink: 0; }
    .testing-lang .alphabet-lang-box span,
    .alphabet-lang .alphabet-lang-box span {
      margin-top: -2px; }
  .testing-lang .testing-lang-box,
  .testing-lang .alphabet-lang-box,
  .alphabet-lang .testing-lang-box,
  .alphabet-lang .alphabet-lang-box {
    padding: 20px;
    text-transform: capitalize;
    border-radius: 4px;
    margin-right: 10px;
    text-transform: capitalize;
    background: #ff602f;
    color: #fff;
    text-shadow: 0.3px 0.3px #111; }
    .testing-lang .testing-lang-box span,
    .testing-lang .alphabet-lang-box span,
    .alphabet-lang .testing-lang-box span,
    .alphabet-lang .alphabet-lang-box span {
      padding: 5px 10px;
      margin-left: 20px;
      border-radius: 5px;
      font-size: 14px;
      box-shadow: 0 0 3px #0000005c; }

.alphabet-filter {
  justify-content: flex-start; }
  .alphabet-filter:empty {
    display: none; }

.alphabet {
  margin: 20px -10px;
  display: flex;
  flex-wrap: wrap; }
  .alphabet .char-box {
    position: relative;
    width: 120px;
    height: 120px;
    min-width: fit-content;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
    border: 1px solid #0000000f;
    margin: 10px;
    overflow: hidden;
    border-top: 2px solid #ff602f; }
    .alphabet .char-box h3 {
      color: #ff602f;
      font-size: 2.5rem;
      padding: 0 10px; }
    .alphabet .char-box .char-sound {
      color: #666;
      margin-bottom: -5px; }
    .alphabet .char-box .char-lang {
      background: #ff602f; }
    .alphabet .char-box .char-del {
      position: absolute;
      right: -50px;
      bottom: -20px; }
    .alphabet .char-box i.fa-volume-up {
      position: absolute;
      left: 5px;
      bottom: 5px;
      padding: 4px;
      border-radius: 20px;
      font-size: 12px; }
    .alphabet .char-box:hover .char-del {
      right: 3px;
      bottom: 3px; }

.show-page ._add,
.show-page ._testing,
.show-page ._result {
  display: none; }

.show-page.show-result ._result {
  display: block; }

.show-page.show-add ._add {
  display: block; }

.show-page.show-testing ._testing {
  display: block; }

.choose-page,
.choose-lang {
  display: flex;
  align-items: center;
  border-bottom: 2px solid #000000;
  position: relative; }
  .choose-page button,
  .choose-lang button {
    padding: 10px;
    width: fit-content;
    border: none;
    background: none;
    background: #050505;
    color: inherit;
    border-bottom: 1px solid #000000; }
    .choose-page button.active,
    .choose-lang button.active {
      transform: translateY(1px);
      background: #001c3175;
      border-bottom: 1px solid #2196f38a;
      color: #0967b1;
      font-weight: bold; }

._result .result-testing-table {
  width: 100%;
  margin-bottom: 30px;
  background: #050505;
  padding-left: 20px;
  display: flex;
  overflow: auto; }
  ._result .result-testing-table:hover {
    background: none;
    box-shadow: 4px 4px 10px 1px #000000, -4px -4px 13px 1px #060606; }
  ._result .result-testing-table .col {
    padding: 15px 10px 5px 0;
    position: relative;
    min-width: 100px;
    flex-shrink: 0;
    flex: 1; }
    ._result .result-testing-table .col span {
      font-weight: 300;
      font-size: 12px;
      margin-top: -10px;
      display: block; }
    ._result .result-testing-table .col p {
      font-size: 1.2rem; }
    ._result .result-testing-table .col .table-count {
      padding: 3px 10px;
      background: #000;
      width: fit-content;
      border-radius: 9px;
      min-width: 30px;
      text-align: center; }
    ._result .result-testing-table .col .count-progress {
      position: absolute;
      left: 0;
      bottom: 0;
      height: 5px;
      opacity: 0.2; }
  ._result .result-testing-table .table-style-lang p {
    color: #bbb;
    text-transform: capitalize;
    font-weight: bold; }
  ._result .result-testing-table .table-style-test {
    background: #01524b;
    margin-right: 10px;
    padding-left: 10px;
    color: #fff;
    text-transform: capitalize; }
  ._result .result-testing-table .table-style-count {
    color: #0a6eca; }
  ._result .result-testing-table .table-style-success {
    color: #006b05; }
    ._result .result-testing-table .table-style-success .count-progress {
      background-color: #006b05; }
  ._result .result-testing-table .table-style-skip {
    color: #a57c03; }
    ._result .result-testing-table .table-style-skip .count-progress {
      background-color: #a57c03; }
  ._result .result-testing-table .table-style-wrong {
    color: #a90c00; }
    ._result .result-testing-table .table-style-wrong .count-progress {
      background-color: #a90c00; }

._result .result-testing-box {
  background: #050505;
  box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
  border: 1px solid #000000;
  max-width: 400px; }
  ._result .result-testing-box h3 {
    padding: 10px;
    color: #fff;
    border-bottom: inherit; }
  ._result .result-testing-box ul {
    list-style: none; }
  ._result .result-testing-box .list-tests .list-test-item {
    padding: 10px; }
    ._result .result-testing-box .list-tests .list-test-item:nth-child(odd) {
      background: #030303; }
    ._result .result-testing-box .list-tests .list-test-item p {
      font-size: 1.1rem;
      margin-bottom: 10px;
      text-transform: capitalize; }
    ._result .result-testing-box .list-tests .list-test-item .result-test {
      list-style: none;
      display: flex;
      align-items: center;
      justify-content: space-between; }
      ._result .result-testing-box .list-tests .list-test-item .result-test li {
        flex: 1;
        padding: 5px;
        text-align: center; }
        ._result .result-testing-box .list-tests .list-test-item .result-test li:nth-child(1) {
          border-bottom: 2px solid #85c7fd;
          color: #0a6eca; }
        ._result .result-testing-box .list-tests .list-test-item .result-test li:nth-child(2) {
          border-bottom: 2px solid #92fb70;
          color: #006b05; }
        ._result .result-testing-box .list-tests .list-test-item .result-test li:nth-child(3) {
          color: #a57c03;
          border-bottom: 2px solid #ffd65ab3; }
        ._result .result-testing-box .list-tests .list-test-item .result-test li:nth-child(4) {
          border-bottom: 2px solid #ff9088;
          color: #a90c00; }
        ._result .result-testing-box .list-tests .list-test-item .result-test li span {
          float: right;
          background: #1f1f1f33;
          padding: 2px 5px;
          border-radius: 25%; }

.test {
  min-height: 300px;
  background: #050505;
  width: 100%;
  box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset; }
  .test > div {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
    padding: 20px; }
  .test .test-start {
    margin: auto;
    height: 300px;
    justify-content: center; }
    .test .test-start i {
      font-size: 3rem;
      margin-bottom: 20px;
      color: #ffc107;
      padding: 20px;
      background: #ffc10738;
      border-radius: 10px; }
    .test .test-start p span {
      color: #ffc107; }
  .test h3 {
    margin-bottom: 20px; }
  .test .test-head {
    margin: 20px 0; }
    .test .test-head h2 {
      font-size: 3rem;
      background: #4caf50;
      padding: 20px;
      color: #171515; }
    .test .test-head p {
      font-size: 1.3rem;
      color: #fff;
      font-size: 1.5rem; }
  .test .test-input {
    margin: 20px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center; }
    .test .test-input input {
      border: 1px solid transparent;
      box-shadow: 4px 4px 10px 1px #000000 inset, -4px -4px 13px 1px #060606 inset;
      background: inherit;
      padding: 20px;
      min-width: 340px;
      border-radius: 22px;
      transition: all 0.2s ease-in-out;
      color: #fff; }
      .test .test-input input:focus {
        border: 1px solid #2e72a6; }
    .test .test-input .test-choose-item {
      background: #0c0c0c;
      padding: 15px;
      border-radius: 5px;
      border: 1px solid #000000;
      margin: 10px;
      cursor: pointer; }
      .test .test-input .test-choose-item.active {
        border: 2px solid #4caf50;
        font-weight: bold;
        color: #4caf50;
        box-shadow: 0 0 5px #4caf50 inset; }
  .test .test-msg {
    opacity: 0;
    pointer-events: none;
    overflow: hidden;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    display: none; }
    .test .test-msg.show {
      display: block;
      opacity: 1;
      pointer-events: all; }
    .test .test-msg > div {
      display: flex;
      height: 100%;
      padding: 10px 20px;
      width: 100%;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      color: #222;
      font-size: 25px; }
      .test .test-msg > div > i {
        font-size: 2rem;
        margin-bottom: 20px;
        padding: 10px;
        background: #fff;
        border-radius: 50%;
        border: 2px solid; }
      .test .test-msg > div button {
        padding: 15px 20px;
        border-radius: 40px;
        border: none;
        margin-top: 20px;
        cursor: pointer;
        font-size: 17px;
        background: #f7f8f9;
        color: #0c0c0c;
        border: 1px solid transparent;
        transition: all 0.2s ease-in-out; }
        .test .test-msg > div button i {
          color: inherit; }
        .test .test-msg > div button:hover {
          background: #8cc4f1;
          color: #045594;
          border: 1px solid; }
      .test .test-msg > div .back {
        margin-top: 20px;
        color: #222;
        text-decoration: underline; }
    .test .test-msg .msg-success {
      background: #83ff87eb;
      color: #248027; }
      .test .test-msg .msg-success i {
        color: #22ad26; }
    .test .test-msg .msg-wrong {
      background: #ff6d63;
      color: #a00d02; }
      .test .test-msg .msg-wrong i {
        color: #f44336; }
  .test .test-submit {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding-top: 20px; }
    .test .test-submit button {
      min-width: 120px; }

.grid, .g-gab-1 {
  display: grid; }

.g-gab-1 {
  grid-gap: 10px; }

.g-gab-2 {
  grid-gap: 20px; }

.g-4-col {
  grid-template-columns: repeat(4, 1fr); }

.g-3-row {
  grid-template-rows: repeat(3, 1fr); }

.g-3-col {
  grid-template-columns: repeat(3, 1fr); }

.g-2-row {
  grid-template-rows: repeat(2, 1fr); }

.g-2-col {
  grid-template-columns: repeat(2, 1fr); }

.phrases {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -10px; }
  .phrases > div {
    padding: 10px;
    flex: 1;
    max-width: 50%;
    min-width: 300px; }

.phrase-box {
  background: #111;
  padding: 10px 15px;
  border-right: 2px solid #ff602f;
  border-left: 2px solid #ff6021;
  display: flex;
  flex-direction: column;
  position: relative;
  overflow: hidden;
  padding-bottom: 0;
  width: 100%;
  height: 100%; }
  .phrase-box > * {
    margin: 5px 0;
    text-align: center; }
  .phrase-box h3 {
    color: #ff602f; }
  .phrase-box .phrase-footer {
    border-top: 1px solid rgba(12, 12, 12, 0.9);
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0;
    margin-top: auto; }
    .phrase-box .phrase-footer a,
    .phrase-box .phrase-footer i,
    .phrase-box .phrase-footer span {
      padding: 6px 13px;
      font-size: 13px;
      border-radius: 15px;
      cursor: pointer; }
    .phrase-box .phrase-footer a {
      color: #2196f3;
      text-decoration: underline; }
      .phrase-box .phrase-footer a:hover {
        color: #43a6f5;
        text-decoration: underline; }
    .phrase-box .phrase-footer span i.fa-times {
      background: #3a39393d;
      color: #888; }
      .phrase-box .phrase-footer span i.fa-times:hover {
        color: #fb2d2d;
        background: #500501ad; }
    .phrase-box .phrase-footer span.phrase-save i {
      cursor: pointer;
      background: #3a39393d;
      color: #888; }
      .phrase-box .phrase-footer span.phrase-save i.active, .phrase-box .phrase-footer span.phrase-save i:hover {
        background-color: #90f794;
        color: #27792b; }
  .phrase-box:hover .phrase-footer {
    transform: translateY(0); }

.search-page .form-search {
  margin-top: 30px;
  display: flex;
  max-width: 500px;
  margin: 30px auto 10px;
  border-radius: 10px;
  align-items: center; }
  .search-page .form-search input,
  .search-page .form-search button {
    padding: 10px; }
  .search-page .form-search input {
    flex: 1; }
  .search-page .form-search button {
    padding: 8px 12px;
    background: #23232359;
    border-radius: 5px; }

.search-content {
  display: flex;
  flex-wrap: wrap; }
  .search-content > div {
    margin: 10px 5px; }

.form-add-card .field-lang label {
  position: absolute;
  top: 1px;
  left: 3px;
  padding: 8px;
  background: #000;
  font-weight: bold;
  color: #eee; }

.form-add-card .field-lang input {
  padding: 10px;
  width: 100%;
  padding-left: 50px; }

.form-add-card select {
  width: 100%;
  padding: 10px;
  margin-top: 10px; }

.sidebar {
  width: 120px;
  background: #050505;
  border-right: 1px solid #111;
  height: 100vh;
  position: fixed;
  left: 0;
  top: 55px;
  display: none; }

.lists-page .list-group {
  display: flex;
  overflow: auto; }
  .lists-page .list-group .box {
    flex-shrink: 0; }
    .lists-page .list-group .box h3 {
      white-space: pre; }

.lists-page .languages,
.langs-page .languages {
  display: flex;
  flex-wrap: wrap; }

.lists-page .box,
.langs-page .box {
  background: #050505;
  width: fit-content;
  padding: 10px;
  border-radius: 5px;
  height: 70px;
  min-width: 130px;
  position: relative;
  color: #fff;
  margin: 5px;
  overflow: hidden; }
  .lists-page .box h3,
  .langs-page .box h3 {
    margin-bottom: 10px;
    margin-right: 30px; }
  .lists-page .box span,
  .langs-page .box span {
    opacity: 0.6;
    font-size: 14px;
    font-weight: bold;
    text-transform: capitalize; }
  .lists-page .box i,
  .langs-page .box i {
    position: absolute;
    right: -100px;
    top: 10px;
    transition: right 0.2s ease-in-out; }
  .lists-page .box:hover i,
  .langs-page .box:hover i {
    right: 10px; }

.flash {
  width: 100%;
  position: fixed;
  min-height: 100px;
  background: linear-gradient(1deg, #050505, #040404e0);
  bottom: 0px;
  border-top: 2px solid #ccc;
  display: none; }
  .flash .flash-content {
    padding: 10px;
    position: relative;
    display: flex;
    align-items: center; }
  .flash span {
    border-radius: 20px;
    position: absolute;
    top: -20px;
    padding: 10px 30px;
    z-index: 2;
    background: #ff5722;
    color: #fff;
    text-transform: capitalize; }
  .flash h3 {
    font-size: 1.4rem;
    color: #fff;
    text-transform: capitalize;
    margin-bottom: 6px;
    margin-top: 20px; }
  .flash i {
    margin-top: 10px;
    padding: 15px 17px;
    background: #35343463;
    border-radius: 50%;
    font-size: 1.2rem;
    cursor: pointer; }
    .flash i.fa-volume-up {
      margin-right: 10px; }
    .flash i.fa-times {
      margin-left: auto; }
      .flash i.fa-times:hover {
        background: #f001;
        color: #f00; }

.bookmarks .words {
  display: flex;
  margin: 0 -5px;
  overflow: auto;
  margin-bottom: 20px; }
  .bookmarks .words .word-box i.fa-bookmark {
    right: 10px; }
